Đến nội dung


Hình ảnh

Text cao độ của bình đồ bị tách làm nhiều đối tượng


  • Please log in to reply
10 replies to this topic

#1 thanhnienngoanhien

thanhnienngoanhien

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 January 2013 - 03:34 AM

Em mới học sử dụng cad chưa lâu, vừa rồi em gặp 1 vấn đề nho nhỏ là khi em mở bình đồ lên thì cái cao độ tự nhiên giả sử như 2.35 chẳng hạn, khi kích chuột vào số trước dấu phẩy thì cái số này nó không liên quan gì đến số sau dấu phẩy, và số sau dấu phẩy cũng vậy. Vì nếu khác nhau khi em chạy chương trình khác để thiết kế đường thì nó hiểu sai mất cái cao độ này
Mong các anh chị giúp em với.
Đây là cái bình đồ của em ah
http://www.mediafire...les.php#myfiles
  • 0

#2 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 16 January 2013 - 06:08 AM

bạn dùng lsp hỗ trợ xem thế lào, nhoc sưu tầm đc ^^, có 2 lsp
lsp 1 nối text trước vào text sau để thành số thập phân, xóa text sau

(prompt "\n NT : Lisp noi phan nguyen va phan thap phan cua text cao do")
(defun c:NT ( / SSET HND LAY OBJ)
(setq hnd (car (entsel "\nDS> Phan nguyen : ")))
(setq e (entget hnd))
(setq text1 (cdr (assoc 1 e)))
(setq hnd2 (car (entsel "\nDS> Phan thap phan : ")))
(setq text2 (cdr (assoc 1 (entget hnd2))))
(setq chunoi (strcat text1 "." text2))
(command "ERASE" hnd2 "")
(setq e (subst (cons 1 chunoi) (assoc 1 e) e))
(entmod e)
(princ)
);;end defun
lsp 2 nối text trước vào text sau để thành số thập phân, xóa text trước

(prompt "\n NT : Lisp noi phan nguyen va phan thap phan cua text cao do")
(defun c:NT2 ( / SSET HND LAY OBJ)
(setq hnd1 (car (entsel "\nDS> Phan nguyen : ")))
(setq text1 (cdr (assoc 1 (setq e1 (entget hnd1)))))
(setq hnd2 (car (entsel "\nDS> Phan thap phan : ")))
(setq text2 (cdr (assoc 1 (setq e2 (entget hnd2)))))
(setq chunoi (strcat text1 "." text2))
(command "ERASE" hnd1 "")
(entmod (subst (cons 1 chunoi) (assoc 1 e2) e2))
(princ))
Có gì ko hỉu cách xài, bạn cứ pm, nhoc ko pit sẽ có mấy huynh khác hỗ trợ ^^
  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 16 January 2013 - 06:50 AM

Tôi đã viết tới 4 lisp nối text trên CV rồi. Bạn xem cái nào phù hợp thì dùng:
http://www.cadviet.c...80
http://www.cadviet.c...60
http://www.cadviet.c...=0
http://www.cadviet.c...40
  • 3

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 16 January 2013 - 07:03 AM

Có những 4 cái lun hả bac Hạ, thế nhoc xin chôm về hết :D, thanks pac ^^
  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#5 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 16 January 2013 - 07:37 AM

Vấn đề này ko biết nói bao nhiêu lần trên cadviet rồi.
1.Lisp thì bên trên bác Hà đã link.
2.Về sử dụng phần mềm khác thì xem thử thường người viết chương trình đã tham khảo các định dạng xuất ra của các chương trình địa hình nên có cho mình lựa chọn mặt phẳng tự nhiên bằng nhiều cách chứ ko chỉ là đọc giá trị text.
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#6 thanhnienngoanhien

thanhnienngoanhien

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 January 2013 - 02:51 PM

Dạ vâng e cám ơn các a, vì mới tham gia 4rum nên cũng chưa tìm hiểu thật kỹ, e cứ tạm thời nghiên cứu cái các a cung cấp đã, có gì thắc mắc em sẽ hỏi sau ạ
  • 0

#7 thanhnienngoanhien

thanhnienngoanhien

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 January 2013 - 09:57 PM

vốn dĩ không có dấu chấm giữa các text mà chỉ có dấu point giữa các text mà thôi. Vị trí của point này chính là điểm giữa của khoảng cách giữa hai đểm đặt của hai text thể hiện cao độ.Đây là ý của 1 anh và nó cũng chính là như ý em muốn hỏi, e dùng mấy lisp như các a đưa cho thì các cao độ của em bị xô vào giữa, bị lệch quá nhiều so với điểm point, các a giúp tiếp cho em vớihttp://www.cadviet.c...6419_tuyn_1.dwg
  • 0

#8 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 16 January 2013 - 10:22 PM

bạn gửi file nguyên mẫu làm chi rứa ^^ mà ko có mẫu thành quả bạn mong mún nhỉ, bạn thử gửi file hay chụp hình mà có thành quả mà bạn mún nó như thế thừ xem, điểm point đó thể hiện vị trí cao độ, khi dùng lsp thì nó nối 2 text rời với nhau thành 1 số thực còn điểm point nó vẫn nằm đơ đó thui, phần text nó đi đâu mà chả đc ^^ miễn là nó vẩn đâu đó gần điểm point của bạn hay bạn mún nó nằm đè lên nhau nhỉ ^^
  • 1
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#9 thanhnienngoanhien

thanhnienngoanhien

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 January 2013 - 10:30 PM

Vì cái text nó lại ko gần cái poin cơ, để e thử lại
  • 0

#10 thanhnienngoanhien

thanhnienngoanhien

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 January 2013 - 10:31 PM

Cái kết quả em muốn thì cũng chỉ cần như thế thôi, miễn sao text nối lại là dc, để khi chạy phần mềm khác nó ko hiểu nhầm đấy là 2 số là dc
  • 0

#11 thanhnienngoanhien

thanhnienngoanhien

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 January 2013 - 10:53 PM

Vì khi em dùng lisp HA2 thì có lúc được 2.68 nhưng có lúc lại bị ngược lại 55.2 chẳng hạn, nên e cũng chưa giải quyết dc, a nào giải quyết dc thì có thể chuyển giúp e với, vì e đang cần bình đồ này hơi gấp
  • 0